Rails : rails e sqlserver

Eseguire il comando :

gem install activerecord-sqlserver-adapter

In order to use SQL Server with Rails, you must first install the file, ADO.rb. We supply this file in the Ruby In Steel installation archive. You should copy ADO.rb into the \lib\dbd\ directory beneath your Ruby installation. For example, if Ruby is installed in C:\ruby you would need to copy ADO.rb into: ruby\lib\ruby\site_ruby\1.8\DBD\ADO\. You may need to create the \ADO directory. If you do not use SQL Server, this file is not required.

Il file lo si trova all'indirizzo : http://rubyforge.org/frs/?group_id=234&release_id=38997

il file da scaricare รจ il "ruby-dbi" versione 0.2.2 (le altre versioni non contengono il file ADO).

Rails : problemi installazione rails su ruby 1.8.6

Se installando rails via gem o altre cose (quali gem update --system) ritorna un errore tipo il seguente :

ERROR: While executing gem Could not find rails in any repository

semplicemente :

  • disintallare ruby 1.8.6
  • installare ruby 1.8.7 rc2 o superiori

Site Search

Who's Online

Abbiamo 13 visitatori e nessun utente online

Stats

Visite agli articoli
167725
banner mym
banner mym